Opened 14 years ago

Closed 14 years ago

#2333 closed defect (fixed)

Freddi Fish 1: German, Bad ID

Reported by: SF/oncer Owned by: Kirben
Priority: normal Component: Engine: SCUMM
Keywords: Cc:
Game: Freddi Fish 1

Description

ScummVM 0.9.0CVS (Nov 3 2005 21:17:05)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

The game is recognized as English US, Platform default,
although it's the German Windows Talkie.
When I try to start it, the following error appears and
the game crashes:
Looking for freddi
Trying to start game 'Freddi Fish 1: The Case of the
Missing Kelp Seeds'
Bad ID 1001F428('►☺ś(') found in index file directory!!

Language: German

Version: Windows Talkie

Platform, Compiler: Win32 daily CVS

Ticket imported from: #1347391. Ticket imported from: bugs/2333.

Change History (18)

comment:1 Changed 14 years ago by SF/oncer

Priority: normalhigh

comment:2 Changed 14 years ago by Kirben

Owner: set to Kirben

comment:3 Changed 14 years ago by Kirben

I made a random guess at the correct HE version for the
game. If the game still fails to start follow the instructions
below.

Please start ScummVM with a debug level of 1 via a
Command Prompt or MS-DOS Prompt and report the
blocksize listed by readMAXS. For example:
scummvm -d1 freddi

comment:4 Changed 14 years ago by SF/joachimeberhard

Tested with 0.9.0CVS 2005/11/04 09:44

My German Version of Freddi2 says this with -d1

readMAXS: MAXS has blocksize 40
Bad ID 49440001('ID') found in index file directory!!

Best regards

Joachim Eberhard

comment:5 Changed 14 years ago by Kirben

Are we talking about Freddi Fish 1 or Freddi Fish 2?

comment:6 Changed 14 years ago by SF/joachimeberhard

Oooops, sorry, I meant and tested Freddi1 German.

Thank you

Joachim

comment:7 Changed 14 years ago by SF/oncer

Still not working!

ScummVM 0.9.0CVS (Nov 4 2005 21:54:24)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

Debuglevel (from command line): 1
Looking for freddi
Trying to start game 'Freddi Fish 1: The Case of the Missing
Kelp Seeds'
Output sample rate: 22050 Hz
readMAXS: MAXS has blocksize 40
Bad ID 49440001('ID') found in index file directory!!

comment:8 Changed 14 years ago by Kirben

Please try the current Windows snapshot of ScummVM and
report results.

comment:9 Changed 14 years ago by SF/oncer

ScummVM 0.9.0CVS (Nov 5 2005 00:09:51)
Features compiled in: ALSA zLib

Same error again:

Looking for freddi
Trying to start game 'Freddi Fish 1: The Case of the Missing
Kelp Seeds'
Output sample rate: 22050 Hz
readMAXS: MAXS has blocksize 40
Bad ID 49440001('ID') found in index file directory!!

comment:10 Changed 14 years ago by SF/joachimeberhard

It works for me now.

During the Intro, it crashes giving the following error:

Looking for freddi
Trying to start game 'Freddi Fish 1: The Case of the Missing
Kelp Seeds'
Assertion failed: ab->r.top <= ab->r.bottom, file
scumm/actor.cpp, line 2037

This application has requested the Runtime to terminate it in
an unusual way.
Please contact the application's support team for more
information.

But when I abort the intro, I can play the game without
problems so far.

Best regards

Joachim Eberhard

comment:11 Changed 14 years ago by SF/oncer

Is the change only in the WINDOWS snapshot? I compiled it
from CVS...

comment:12 Changed 14 years ago by Kirben

Yes, my last changes are too recent to be in the ScummVM
snapshots for other operating systems or public CVS yet.

comment:13 Changed 14 years ago by SF/oncer

Oh, sorry, I didn't know that the changes were only made in
the Windows snapshot. I didn't wanted to download the same
file over and over again. CVS is much handier...

The game starts now, but the intro crashes, like Joachim
Eberhard described.
The crash happens when Freddi swims from the top to the
bottom of the screen. As soon as he leaves the screen, the
game crashes.

scummvm: scumm/actor.cpp:2037: void
Scumm::ScummEngine_v71he::preProcessAuxQueue(): Assertion
`ab->r.top <= ab->r.bottom' failed.

comment:14 Changed 14 years ago by Kirben

The assertion errors should be fixed in current Windows
snapshot of ScummVM, will take public CVS awhile to catch
up again.

comment:15 Changed 14 years ago by SF/joachimeberhard

Works now fine for me!

Thank you!

Joachim Eberhard

comment:16 Changed 14 years ago by SF/oncer

OK, I'd say the bug is fixed

comment:17 Changed 14 years ago by SF/oncer

Priority: highlow
Resolution: fixed

comment:18 Changed 14 years ago by Kirben

Priority: lownormal
Status: newclosed
Note: See TracTickets for help on using tickets.